6.1 Command-Line Scanner options

This section applies to F-PROT Antivirus for UNIX File Server and Mail Server versions only

#### Media options

If no media is specified, fpscan only scans the file or path provided.

Options | Description
-a,--all | Scan every file found and all boot sectors. Specifying additional paths after this switch has no effect since any path is a subset of ALL.
-l, --local | Scan all local disks/partitions. Specifying additional paths causes those paths to be scanned as well.
-b, --boot | Scan all boot sectors. Specifying paths in addition causes those paths to be scanned as well.

#### Scanning options

By default fpscan scans all files, including inside archives.

Options | Description
-f, --follow | Follow symbolic links. Symlinks, when specified as paths on the command line are always followed, regardless of this option.
-m, --mount | For each path given, stay on that filesystem.
--maxdepth=n | Descend at most n levels of directories below a given scanpath (default 30 levels).
-s n, --scanlevel=n | 0 => Disable regular scanning (only heuristics). 1 => Skip suspicious data files. Not recommended if filename is unavailable. 2 => (Default) Unknown and/or wrong extensions will be emulated. 3 => Unknown binaries emulated. 4 => For scanning virus collections, no limits for emulation.
-u n, --heurlevel=n | How aggressive heuristic should be used. Higher levels means more heuristic tests are done which increases both detection rates AND risk of false positives.
-z n, --archive=n | n is 0 - 99, default is 5 levels. How deep to scan inside nested archives.
--adware | Scan for and report/act on adware in addition to viruses and worms.
--applications | Scan for and report/act on applications that may constitute security risks. This includes remote access tools which users should regard as malware if installed without their knowledge or consent. The same program could be a perfectly valid and useful tool for another person, so the definition of what should be considered malware in this category must come from the user.
-v n, --verbose=n | 0 => Report infections only 1 => (Default) Report infections and scan errors 2 => Report all files as they are processed, as well as all warnings and errors.
--signatures=FILE | Use a specific virus signature file (antivir.def). Refer to the file using its full path name. By default the virus signature file is loaded from the same directory as the command-line scanner binary.
-o FILE, --output=FILE | Send output to FILE instead of stdout.
-e LIST, --exclude=LIST | Do not scan files and directories that match entries in LIST. LIST should be a comma separated list of paths. The '*' character may be used as a wildcard. If entry ends with a path separator ('/' on Unix, '\' on Windows), any directory that matches the entry will be skipped entirely. Examples (Unix paths used): --exclude=/tmp/ => skips /tmp and any and all files therein. --exclude=/tmp/* => does the same thing, but is less efficient. --exclude=*/tmp/ => skips all folders named 'tmp'. --exclude=*.dat => skips all files ending in .dat. --exclude=/boot/initrd,/tmp/ => skips the specific file /boot/initrd and the directory /tmp/. Please note that most Unix shells treat '*' as a special character so it must be escaped with a backslash ('\') or surrounded by quotation marks to be passed on to the program.

#### Disinfection options

By default fpscan asks if disinfection should be attempted.

Options | Description
--disinfect | Automatically disinfect files if possible.
--report | Only report infections. Do not disinfect.

#### Extra macro disinfection options

By default fpscan removes only known malware macros.

Options | Description
--macros_safe | Remove all macros from infected documents.
--macros_new | Remove all macros from document when new variant is found.

#### Help and informational options

These options are stand-alone, which means you can not combine them with other options.

Options | Description
-h, --help | Prints the help.
--version | Prints version numbers.
--virno | Print statistics about malware from definition file and exit.
--virlist | List known malware

Back to Index

Copyright © 2007 FRISK Software International. All rights reserved